%define product   erp5diff
%define version   0.1
%define release   8
%define _libdir   /usr/lib

%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:       XUpdate Generator for ERP5
Name:          %{product}
Version:       %{version}
Release:       %mkrel %{release}
License:       GPL
Group:         Development/Python
URL:           http://www.erp5.org
Source0:       %{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch:     noarch
BuildRequires: python2.4
Requires:      python2.4 >= 2.3

#----------------------------------------------------------------------
%description
ERP5Diff is a XUpdate Generator for ERP5. It takes two XML files
as input data, and generates differences between these two XML
documents in XUpdate language.

ERP5Diff depends on more or less ERP5's XML data format. So this tool
cannot be used for general purpose, but might work if your XML files
are similar to ERP5's.

#----------------------------------------------------------------------
%prep
%setup -q

%build
python2.4 setup.py build

%install
rm -rf %{buildroot}
python2.4 setup.py install --root=%{buildroot} 
rm -rf %{buildroot}/%{_libdir}/python*/site-packages/*egg-info
#--install-purelib=%{_libdir}/python2.5/site-packages

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc README
%{_libdir}/python*/site-packages/ERP5Diff*
%{_mandir}/man*/*
%attr(0755,root,root) %{_bindir}/%{name}

#----------------------------------------------------------------------
%changelog
* Mon Jan 14 2008 Julien Gormotte <julien@nexedi.com> 0.1-8mdv2008.0
- Rebuild with last SVN version (Rev: 18693)
- removed PKG-INFO from %doc

* Sat Jun 30 2007 Jean-Paul Smets <jp@nexedi.com> 0.1-7mdv2007.1
- force _libdir to /usr/lib

* Tue May 29 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.1-6.1mdv2007.1
- Rebuild against python2.4

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.1-6mdv2007.0
- Give macro-ized install-purelib parameter on installation
- Remove duplicate log

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.1-5mdv2007.0
- Rebuild for Mandriva 2007.0

* Mon Jan 16 2006 Kevin Deldycke <kevin@nexedi.com> 0.1-4mdk
- New build for Mandriva 2006

* Fri Aug  6 2005 Yoshinori Okuji <yo@nexedi.com> 0.1-3nxd
- rebuilt for python 2.4
- set Buildarch to noarch

* Wed Feb  4 2004 Sebastien Robin <seb@nexedi.com> 0.1-2nxd
- just added a return between each line

* Thu Dec  4 2003 Yoshinori Okuji <yo@nexedi.com> 0.1-1nxd
- initial package
